Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005631TestLinkMigration/Upgrade Testlinkpublic2013-04-12 11:222013-05-22 20:59
Reporterrkumar83 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005631: Manually upgraded from 1.9.5 to 1.9.6 - Deleting a test step throws DB Access Error
DescriptionManually upgraded from 1.9.5 to 1.9.6 - Deleting a test step throws DB Access Error
Steps To Reproduce1. Took a new copy of 1.9.6 from testlink download site
2. Upgraded mysql database to 1.6
 
Executed both the scripts in 1.9.6 folder
<TestlinkDIR>/install/sql/alterTables/1.9.6/mySQL/...
both Step1.sql and StepZ.sql

Everything looks fine, except the delete Step. Delete Step throws DB Access Error.
I tried upgrading multiple times, but i still the same error.

Is there something am missing?
Additional Information1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND TCV.version = 1 ORDER BY TCV.version DESC' at line 11 - SELECT UA.login AS updater_login,UB.login AS author_login,
                         NHTC.name,NHTC.node_order,NHTC.parent_id AS testsuite_id,
                         NHTCV.parent_id AS testcase_id, TCV.*,
                         UB.first AS author_first_name,UB.last AS author_last_name,
                         UA.first AS updater_first_name,UA.last AS updater_last_name
                         FROM nodes_hierarchy NHTCV
                         JOIN nodes_hierarchy NHTC ON NHTCV.parent_id = NHTC.id
                         JOIN tcversions TCV ON NHTCV.id = TCV.id
                         LEFT OUTER JOIN users UB ON TCV.author_id = UB.id
                         LEFT OUTER JOIN users UA ON TCV.updater_id = UA.id
                          WHERE NHTCV.parent_id = AND TCV.version = 1 ORDER BY TCV.version DESC
THE MESSAGE : SELECT UA.login AS updater_login,UB.login AS author_login,
                         NHTC.name,NHTC.node_order,NHTC.parent_id AS testsuite_id,
                         NHTCV.parent_id AS testcase_id, TCV.*,
                         UB.first AS author_first_name,UB.last AS author_last_name,
                         UA.first AS updater_first_name,UA.last AS updater_last_name
                         FROM nodes_hierarchy NHTCV
                         JOIN nodes_hierarchy NHTC ON NHTCV.parent_id = NHTC.id
                         JOIN tcversions TCV ON NHTCV.id = TCV.id
                         LEFT OUTER JOIN users UB ON TCV.author_id = UB.id
                         LEFT OUTER JOIN users UA ON TCV.updater_id = UA.id
                          WHERE NHTCV.parent_id = AND TCV.version = 1 ORDER BY TCV.version DESC
Query failed: errorcode[1064]
    errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'AND TCV.version = 1 ORDER BY TCV.version DESC' at line 11
    [13/Apr/3 10:39:05][WARNING][ec8e99f53340cc942d4abd5eb58c91ae][GUI]
        E_NOTICE
Use of undefined constant DEBUG_BACKTRACE_IGNORE_ARGS - assumed 'DEBUG_BACKTRACE_IGNORE_ARGS' - in /data/servers/qatools/testlink/lib/functions/database.class.php - Line 212
    [13/Apr/3 10:39:05][WARNING][ec8e99f53340cc942d4abd5eb58c91ae][GUI]
        E_WARNING
Wrong parameter count for debug_print_backtrace() - in /data/servers/qatools/testlink/lib/functions/database.class.php - Line 212
    [13/Apr/3 10:39:05][ERROR][ec8e99f53340cc942d4abd5eb58c91ae][DATABASE]
        ERROR ON exec_query() - database.class.php
1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 - /* Class:testcase - Method: get_last_version_info */ SELECT MAX(version) AS version FROM tcversions TCV JOIN nodes_hierarchy NH_TCV ON NH_TCV.id = TCV.id WHERE NH_TCV.parent_id =
THE MESSAGE : /* Class:testcase - Method: get_last_version_info */ SELECT MAX(version) AS version FROM tcversions TCV JOIN nodes_hierarchy NH_TCV ON NH_TCV.id = TCV.id WHERE NH_TCV.parent_id =
Query failed: errorcode[1064]
    errormsg:You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1
    [13/Apr/3 10:39:05][WARNING][ec8e99f53340cc942d4abd5eb58c91ae][GUI]
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MySQL
BrowserAnyBrowser
PHP Version5.5
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005607closedfman DB Access Error while deleting a test step in a testcase 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018677)
fman (administrator)
2013-04-12 16:59

original database needed

- Issue History
Date Modified Username Field Change
2013-04-12 11:22 rkumar83 New Issue
2013-04-12 16:59 fman Note Added: 0018677
2013-04-12 17:01 fman Relationship added related to 0005607
2013-04-12 17:02 fman Relationship added related to 0005630
2013-04-12 18:08 fman Relationship deleted related to 0005630
2013-04-19 18:17 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-04-19 18:17 fman Status new => resolved
2013-04-19 18:17 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-04-19 18:17 fman Resolution open => fixed
2013-04-19 18:17 fman Assigned To => fman
2013-04-19 18:19 fman Relationship added child of 0005551
2013-04-19 18:19 fman Tag Attached: TO BE FIXED on 2.0
2013-05-22 20:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker